Page MenuHomePhabricator

Remove usage of deprecated UnknownAction hook (removed in MediaWiki 1.32)
Open, LowPublic

Description

The UnknownAction hook has now been entirely removed as of MediaWiki 1.32.0 - see T178844#4659605.

./WikiArticleFeeds/WikiArticleFeeds.php:$wgHooks['UnknownAction'][] = 'WikiArticleFeeds::onUnknownAction';
./WikiArticleFeeds/WikiArticleFeeds_body.php:	public static function onUnknownAction( $action, $article ) {

Extensions using the hook hosted on gerrit:

  • AccessControl
  • Favorites
  • Push
  • WikiArticleFeeds
  • BlueSpiceBlog

Details

Related Gerrit Patches:
mediawiki/extensions/WikiArticleFeeds : masterRemove use of UnknownAction hook, removed from mediawiki
mediawiki/extensions/Push : masterRemove use of UnknownAction hook, removed from mediawiki
mediawiki/extensions/Favorites : masterNew version 1.1.3
mediawiki/extensions/AccessControl : masterRemove deprecated hook UnknownAction

Event Timeline

Aklapper created this task.Oct 12 2018, 4:10 AM

@D3r1ck01: Requires a potential mentor who is knowledgeable enough to judge whether the docs are good enough to allow a student to update that code. Note that there is no 1:1 replacement function call.

Please, please, please can you make sure that T178844 is resolved before 1.32.0 is released.

Really, we also need some time to update code to the new hook, which is dependent on having instructions on how to do it!

DannyS712 triaged this task as Low priority.
DannyS712 added a subscriber: DannyS712.
Restricted Application added a project: User-DannyS712. · View Herald TranscriptSep 25 2019, 8:28 PM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Sep 25 2019, 8:28 PM
DannyS712 updated the task description. (Show Details)Oct 11 2019, 5:13 AM

Change 542639 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/AccessControl@master] Remove deprecated hook UnknownAction

https://gerrit.wikimedia.org/r/542639

Change 542639 merged by jenkins-bot:
[mediawiki/extensions/AccessControl@master] Remove deprecated hook UnknownAction

https://gerrit.wikimedia.org/r/542639

DannyS712 updated the task description. (Show Details)Oct 16 2019, 4:42 PM
DannyS712 moved this task from Next to In progress on the User-DannyS712 board.Oct 16 2019, 4:45 PM
Pwirth added a subscriber: Pwirth.Oct 17 2019, 7:37 AM

[BlueSpiceBlog] is currently in the proccess of getting archived: T231853

Pwirth updated the task description. (Show Details)Oct 29 2019, 8:04 AM
HappyDog removed a subscriber: HappyDog.Oct 29 2019, 9:19 AM

@DannyS712 Do you have plan to work this and in other extensions?

@DannyS712 Do you have plan to work this and in other extensions?

yes, I will

Zoranzoki21 added a comment.EditedOct 29 2019, 4:39 PM

@DannyS712 Do you have plan to work this and in other extensions?

yes, I will

I asked because I wanted to do this, but ok, if you still want to work on this, I will leave this to you.

Change 546983 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/Favorites@master] New version 1.1.3

https://gerrit.wikimedia.org/r/546983

Change 546983 merged by jenkins-bot:
[mediawiki/extensions/Favorites@master] New version 1.1.3

https://gerrit.wikimedia.org/r/546983

DannyS712 updated the task description. (Show Details)Nov 4 2019, 10:53 PM

Removed from GCI as @DannyS712 works on this.

Change 563740 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Push@master] Remove use of UnknownAction hook, removed from mediawiki

https://gerrit.wikimedia.org/r/563740

Change 563741 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/WikiArticleFeeds@master] Remove use of UnknownAction hook, removed from mediawiki

https://gerrit.wikimedia.org/r/563741